yaml: Data Fields

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - y -

- yaml_alias_data_t : yaml.h
- YAML_ALIAS_EVENT : yaml.h
- yaml_alias_event_initialize() : yaml.h
- YAML_ALIAS_TOKEN : yaml.h
- YAML_ANCHOR_TOKEN : yaml.h
- YAML_ANY_BREAK : yaml.h
- YAML_ANY_ENCODING : yaml.h
- YAML_ANY_MAPPING_STYLE : yaml.h
- YAML_ANY_SCALAR_STYLE : yaml.h
- YAML_ANY_SEQUENCE_STYLE : yaml.h
- YAML_BLOCK_END_TOKEN : yaml.h
- YAML_BLOCK_ENTRY_TOKEN : yaml.h
- YAML_BLOCK_MAPPING_START_TOKEN : yaml.h
- YAML_BLOCK_MAPPING_STYLE : yaml.h
- YAML_BLOCK_SEQUENCE_START_TOKEN : yaml.h
- YAML_BLOCK_SEQUENCE_STYLE : yaml.h
- YAML_BOOL_TAG : yaml.h
- yaml_break_e : yaml.h
- yaml_break_t : yaml.h
- yaml_char_t : yaml.h
- YAML_COMPOSER_ERROR : yaml.h
- YAML_CR_BREAK : yaml.h
- YAML_CRLN_BREAK : yaml.h
- YAML_DECLARE : yaml.h
- YAML_DEFAULT_MAPPING_TAG : yaml.h
- YAML_DEFAULT_SCALAR_TAG : yaml.h
- YAML_DEFAULT_SEQUENCE_TAG : yaml.h
- yaml_document_add_mapping() : yaml.h
- yaml_document_add_scalar() : yaml.h
- yaml_document_add_sequence() : yaml.h
- yaml_document_append_mapping_pair() : yaml.h
- yaml_document_append_sequence_item() : yaml.h
- yaml_document_delete() : yaml.h
- YAML_DOCUMENT_END_EVENT : yaml.h
- yaml_document_end_event_initialize() : yaml.h
- YAML_DOCUMENT_END_TOKEN : yaml.h
- yaml_document_get_node() : yaml.h
- yaml_document_get_root_node() : yaml.h
- yaml_document_initialize() : yaml.h
- YAML_DOCUMENT_START_EVENT : yaml.h
- yaml_document_start_event_initialize() : yaml.h
- YAML_DOCUMENT_START_TOKEN : yaml.h
- yaml_document_t : yaml.h
- YAML_DOUBLE_QUOTED_SCALAR_STYLE : yaml.h
- YAML_EMIT_BLOCK_MAPPING_FIRST_KEY_STATE : yaml.h
- YAML_EMIT_BLOCK_MAPPING_KEY_STATE : yaml.h
- YAML_EMIT_BLOCK_MAPPING_SIMPLE_VALUE_STATE : yaml.h
- YAML_EMIT_BLOCK_MAPPING_VALUE_STATE : yaml.h
- YAML_EMIT_BLOCK_SEQUENCE_FIRST_ITEM_STATE : yaml.h
- YAML_EMIT_BLOCK_SEQUENCE_ITEM_STATE : yaml.h
- YAML_EMIT_DOCUMENT_CONTENT_STATE : yaml.h
- YAML_EMIT_DOCUMENT_END_STATE : yaml.h
- YAML_EMIT_DOCUMENT_START_STATE : yaml.h
- YAML_EMIT_END_STATE : yaml.h
- YAML_EMIT_FIRST_DOCUMENT_START_STATE : yaml.h
- YAML_EMIT_FLOW_MAPPING_FIRST_KEY_STATE : yaml.h
- YAML_EMIT_FLOW_MAPPING_KEY_STATE : yaml.h
- YAML_EMIT_FLOW_MAPPING_SIMPLE_VALUE_STATE : yaml.h
- YAML_EMIT_FLOW_MAPPING_VALUE_STATE : yaml.h
- YAML_EMIT_FLOW_SEQUENCE_FIRST_ITEM_STATE : yaml.h
- YAML_EMIT_FLOW_SEQUENCE_ITEM_STATE : yaml.h
- YAML_EMIT_STREAM_START_STATE : yaml.h
- yaml_emitter_close() : yaml.h
- yaml_emitter_delete() : yaml.h
- yaml_emitter_dump() : yaml.h
- yaml_emitter_emit() : yaml.h
- YAML_EMITTER_ERROR : yaml.h
- yaml_emitter_flush() : yaml.h
- yaml_emitter_initialize() : yaml.h
- yaml_emitter_open() : yaml.h
- yaml_emitter_set_break() : yaml.h
- yaml_emitter_set_canonical() : yaml.h
- yaml_emitter_set_encoding() : yaml.h
- yaml_emitter_set_indent() : yaml.h
- yaml_emitter_set_output() : yaml.h
- yaml_emitter_set_output_file() : yaml.h
- yaml_emitter_set_output_string() : yaml.h
- yaml_emitter_set_unicode() : yaml.h
- yaml_emitter_set_width() : yaml.h
- yaml_emitter_state_e : yaml.h
- yaml_emitter_state_t : yaml.h
- yaml_emitter_t : yaml.h
- yaml_encoding_e : yaml.h
- yaml_encoding_t : yaml.h
- yaml_error_type_e : yaml.h
- yaml_error_type_t : yaml.h
- yaml_event_delete() : yaml.h
- yaml_event_t : yaml.h
- yaml_event_type_e : yaml.h
- yaml_event_type_t : yaml.h
- YAML_FLOAT_TAG : yaml.h
- YAML_FLOW_ENTRY_TOKEN : yaml.h
- YAML_FLOW_MAPPING_END_TOKEN : yaml.h
- YAML_FLOW_MAPPING_START_TOKEN : yaml.h
- YAML_FLOW_MAPPING_STYLE : yaml.h
- YAML_FLOW_SEQUENCE_END_TOKEN : yaml.h
- YAML_FLOW_SEQUENCE_START_TOKEN : yaml.h
- YAML_FLOW_SEQUENCE_STYLE : yaml.h
- YAML_FOLDED_SCALAR_STYLE : yaml.h
- yaml_get_version() : yaml.h
- yaml_get_version_string() : yaml.h
- YAML_INT_TAG : yaml.h
- YAML_KEY_TOKEN : yaml.h
- YAML_LITERAL_SCALAR_STYLE : yaml.h
- YAML_LN_BREAK : yaml.h
- YAML_MAP_TAG : yaml.h
- YAML_MAPPING_END_EVENT : yaml.h
- yaml_mapping_end_event_initialize() : yaml.h
- YAML_MAPPING_NODE : yaml.h
- YAML_MAPPING_START_EVENT : yaml.h
- yaml_mapping_start_event_initialize() : yaml.h
- yaml_mapping_style_e : yaml.h
- yaml_mapping_style_t : yaml.h
- yaml_mark_t : yaml.h
- YAML_MEMORY_ERROR : yaml.h
- YAML_NO_ERROR : yaml.h
- YAML_NO_EVENT : yaml.h
- YAML_NO_NODE : yaml.h
- YAML_NO_TOKEN : yaml.h
- yaml_node_item_t : yaml.h
- yaml_node_pair_t : yaml.h
- yaml_node_t : yaml.h
- yaml_node_type_e : yaml.h
- yaml_node_type_t : yaml.h
- YAML_NULL_TAG : yaml.h
- YAML_PARSE_BLOCK_MAPPING_FIRST_KEY_STATE : yaml.h
- YAML_PARSE_BLOCK_MAPPING_KEY_STATE : yaml.h
- YAML_PARSE_BLOCK_MAPPING_VALUE_STATE : yaml.h
- YAML_PARSE_BLOCK_NODE_OR_INDENTLESS_SEQUENCE_STATE : yaml.h
- YAML_PARSE_BLOCK_NODE_STATE : yaml.h
- YAML_PARSE_BLOCK_SEQUENCE_ENTRY_STATE : yaml.h
- YAML_PARSE_BLOCK_SEQUENCE_FIRST_ENTRY_STATE : yaml.h
- YAML_PARSE_DOCUMENT_CONTENT_STATE : yaml.h
- YAML_PARSE_DOCUMENT_END_STATE : yaml.h
- YAML_PARSE_DOCUMENT_START_STATE : yaml.h
- YAML_PARSE_END_STATE : yaml.h
- YAML_PARSE_FLOW_MAPPING_EMPTY_VALUE_STATE : yaml.h
- YAML_PARSE_FLOW_MAPPING_FIRST_KEY_STATE : yaml.h
- YAML_PARSE_FLOW_MAPPING_KEY_STATE : yaml.h
- YAML_PARSE_FLOW_MAPPING_VALUE_STATE : yaml.h
- YAML_PARSE_FLOW_NODE_STATE : yaml.h
- YAML_PARSE_FLOW_SEQUENCE_ENTRY_MAPPING_END_STATE : yaml.h
- YAML_PARSE_FLOW_SEQUENCE_ENTRY_MAPPING_KEY_STATE : yaml.h
- YAML_PARSE_FLOW_SEQUENCE_ENTRY_MAPPING_VALUE_STATE : yaml.h
- YAML_PARSE_FLOW_SEQUENCE_ENTRY_STATE : yaml.h
- YAML_PARSE_FLOW_SEQUENCE_FIRST_ENTRY_STATE : yaml.h
- YAML_PARSE_IMPLICIT_DOCUMENT_START_STATE : yaml.h
- YAML_PARSE_INDENTLESS_SEQUENCE_ENTRY_STATE : yaml.h
- YAML_PARSE_STREAM_START_STATE : yaml.h
- yaml_parser_delete() : yaml.h
- YAML_PARSER_ERROR : yaml.h
- yaml_parser_initialize() : yaml.h
- yaml_parser_load() : yaml.h
- yaml_parser_parse() : yaml.h
- yaml_parser_scan() : yaml.h
- yaml_parser_set_encoding() : yaml.h
- yaml_parser_set_input() : yaml.h
- yaml_parser_set_input_file() : yaml.h
- yaml_parser_set_input_string() : yaml.h
- yaml_parser_state_e : yaml.h
- yaml_parser_state_t : yaml.h
- yaml_parser_t : yaml.h
- YAML_PLAIN_SCALAR_STYLE : yaml.h
- yaml_read_handler_t : yaml.h
- YAML_READER_ERROR : yaml.h
- YAML_SCALAR_EVENT : yaml.h
- yaml_scalar_event_initialize() : yaml.h
- YAML_SCALAR_NODE : yaml.h
- yaml_scalar_style_e : yaml.h
- yaml_scalar_style_t : yaml.h
- YAML_SCALAR_TOKEN : yaml.h
- YAML_SCANNER_ERROR : yaml.h
- YAML_SEQ_TAG : yaml.h
- YAML_SEQUENCE_END_EVENT : yaml.h
- yaml_sequence_end_event_initialize() : yaml.h
- YAML_SEQUENCE_NODE : yaml.h
- YAML_SEQUENCE_START_EVENT : yaml.h
- yaml_sequence_start_event_initialize() : yaml.h
- yaml_sequence_style_e : yaml.h
- yaml_sequence_style_t : yaml.h
- yaml_simple_key_t : yaml.h
- YAML_SINGLE_QUOTED_SCALAR_STYLE : yaml.h
- YAML_STR_TAG : yaml.h
- YAML_STREAM_END_EVENT : yaml.h
- yaml_stream_end_event_initialize() : yaml.h
- YAML_STREAM_END_TOKEN : yaml.h
- YAML_STREAM_START_EVENT : yaml.h
- yaml_stream_start_event_initialize() : yaml.h
- YAML_STREAM_START_TOKEN : yaml.h
- yaml_tag_directive_t : yaml.h
- YAML_TAG_DIRECTIVE_TOKEN : yaml.h
- YAML_TAG_TOKEN : yaml.h
- YAML_TIMESTAMP_TAG : yaml.h
- yaml_token_delete() : yaml.h
- yaml_token_t : yaml.h
- yaml_token_type_e : yaml.h
- yaml_token_type_t : yaml.h
- YAML_UTF16BE_ENCODING : yaml.h
- YAML_UTF16LE_ENCODING : yaml.h
- YAML_UTF8_ENCODING : yaml.h
- YAML_VALUE_TOKEN : yaml.h
- yaml_version_directive_t : yaml.h
- YAML_VERSION_DIRECTIVE_TOKEN : yaml.h
- yaml_write_handler_t : yaml.h
- YAML_WRITER_ERROR : yaml.h